- [HTTP request](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.request_body)
- [Response body](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.SqlInstancesGetLatestRecoveryTimeResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#body.aspect)
- [Examples](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#examples)
- [Try it!](https://docs.cloud.google.com/sql/docs/mysql/admin-api/rest/v1/projects.instances/getLatestRecoveryTime#try-it)

Get Latest Recovery Time for a given instance.

### HTTP request

`GET https://sqladmin.googleapis.com/v1/projects/{project}/instances/{instance}/getLatestRecoveryTime`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID of the project that contains the instance. |
| `instance` | `string` Cloud SQL instance ID. This does not include the project ID. |

### Query parameters

| Parameters ||
|---|---|
| `sourceInstanceDeletionTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` The timestamp used to identify the time when the source instance is deleted. If this instance is deleted, then you must set the timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body must be empty.

### Response body

Instance get latest recovery time response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "latestRecoveryTime": string, "earliestRecoveryTime": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` This is always `sql#getLatestRecoveryTime`. |
| `latestRecoveryTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Timestamp, identifies the latest recovery time of the source instance. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `earliestRecoveryTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Timestamp, identifies the earliest recovery time of the source instance. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudsql`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/sqlservice.admin`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).